Skip to main content
`Ctrl`+`K`

# numpy.strings.encode

strings.encode(a, encoding=None, errors=None)

  Calls `str.encode` element-wise.

  The set of available codecs comes from the Python standard library, and may be extended at runtime. For more information, see the `codecs` module.

  Parameters:
    a array_like, with `StringDType` or `str_` dtype
    encoding str, optional

      The name of an encoding

    errors str, optional

      Specifies how to handle encoding errors

  Returns:
    out ndarray

  See also

  `str.encode`

  Notes

  The type of the result will depend on the encoding specified.

  Examples

      >>> import numpy as np
      >>> a = np.array(['aAaAaA', '  aA  ', 'abBABba'])
      >>> np.strings.encode(a, encoding='cp037')
      array([b'ÁÁÁ', b'@@Á@@',
         b'ÂÁÂ'], dtype='|S7')